Package Details: python2-simpleparse 2.1.1a2-2

Git Clone URL: https://aur.archlinux.org/python2-simpleparse.git (read-only)
Package Base: python2-simpleparse
Description: A simple and fast parser generator
Upstream URL: http://simpleparse.sourceforge.net
Licenses: custom
Submitter: mar77i
Maintainer: phillid
Last Packager: phillid
Votes: 9
Popularity: 0.000184
First Submitted: 2010-12-15 10:49
Last Updated: 2015-06-08 09:33

Latest Comments

doragasu commented on 2015-01-26 08:13

I cannot build it :(

==> Starting build()...
Traceback (most recent call last):
File "setup.py", line 98, in <module>
**extraArguments
File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__
self.finalize_options()
File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 324, in finalize_options
ep.require(installer=self.fetch_build_egg)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2325, in require
reqs = self.dist.requires(self.extras)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2550, in requires
dm = self._dep_map
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2606, in __getattr__
raise AttributeError(attr)
AttributeError: _dep_map
==> ERROR: A failure occurred in build().
Aborting...

phillid commented on 2015-01-17 01:11

* Updated to work with pacman 4.2
* Added 'python2-setuptools' to makedepends as I requested before package was orphaned

Please report any issues I've naïvely introduced in making these changes.

phillid commented on 2015-01-16 21:50

Adopted. Will fix.

doragasu commented on 2015-01-16 10:33

Doesn't build since the last pacman update, because package() funcion is missing.

phillid commented on 2014-10-26 22:48

This package needs python2-setuptools in makedepends in order to build.

JonnyJD commented on 2012-02-24 21:10

This needs makedepends=('python2-distribute') for setuptools in setup.py